<ng-container *transloco="let t; prefix: 'identityAttributesInfoPage'">
  <eui-page>
    <eui-page-header [label]="t('title')"></eui-page-header>
    <eui-page-content>
      <eui-page-columns>
        <eui-page-column [isCollapsed]="true" [isCollapsible]="true" euiSizeVariant="2xl" label="Filters">
          <eui-page-column-body>
            <form [formGroup]="filtersForm" class="d-flex flex-column gap-2" id="filtersForm"
              (ngSubmit)="getIdentityAttributeList()">
              <div euiInputGroup>
                <label euiLabel for="name">{{ t('filters.name') }}</label>
                <input euiInputText id="name" formControlName="name" placeholder="{{t('filters.placeholder.name')}}" />
              </div>
              <div euiInputGroup>
                <label euiLabel for="code">{{ t('filters.code') }}</label>
                <input euiInputText id="code" formControlName="code" placeholder="{{t('filters.placeholder.code')}}" />
              </div>
              <div euiInputGroup>
                <label euiLabel for="updateTimestamp">{{ t('filters.updateTimestamp') }}</label>
                <eui-date-range-selector isResponsive id="updateTimestamp"
                                         formControlName="updateTimestamp"></eui-date-range-selector>
              </div>
              <eui-button-group class="eui-u-display-flex eui-u-inline-flex">
                <button euiButton id="resetButton" [disabled]="loading()" type="button" class="eui-u-width-50"
                  euiSecondary (click)="resetFilters()">
                  {{ t('filters.reset') }}
                </button>
                <button euiButton id="submitButton" [disabled]="loading()" type="submit" class="eui-u-width-50"
                  euiPrimary>
                  {{ t('filters.search') }}
                </button>
              </eui-button-group>
            </form>
          </eui-page-column-body>
        </eui-page-column>
        <eui-page-column>
          <eui-page-column-body>
            <div class="eui-u-display-flex eui-u-mb-m eui-u-flex-align-items-center">
              @if(chips.length){
                <div class="eui-u-mr-xs eui-u-p-2xs eui-u-flex-column eui-u-flex-gap-none">
                  <span>
                    Selected criteria
                  </span>
                  <span class="eui-u-text-link" (click)="resetFilters()" onKeyPress>
                    Clear All
                  </span>
                </div>
                <eui-chip-list (chipRemove)="removeChip($event)">
                  @for (chip of chips; track $index) {
                    <eui-chip [id]="chip.field" [data]="{id: chip.field}" isFilled isChipRemovable class="eui-u-mr-2xs eui-u-mb-2xs">
                      <span euiLabel>{{ t('filters.' + chip.field) }}: {{ chip.value }}</span>
                    </eui-chip>
                  }
                </eui-chip-list>
              }
            </div>
            <div class="eui-table-v2__scrollable-wrapper">
              <table euiTableV2 isTableResponsive="" [data]="data" class="--eui-bw-xs">
                <ng-template euiTemplate="header">
                  <tr>
                    <th isSortable sortOn="name">{{ t('name') }}</th>
                    <th isSortable sortOn="code">{{ t('code') }}</th>
                    <th isSortable sortOn="assignableToRoles">{{ t('assignableToRoles') }}</th>
                    <th isSortable sortOn="updateTimestamp">{{ t('updateTimestamp') }}</th>
                  </tr>
                </ng-template>
                <ng-template let-row euiTemplate="body">
                  <tr>
                    <td data-col-label="name">{{ row.name }}</td>
                    <td data-col-label="code">{{ row.code }}</td>
                    <td data-col-label="assignableToRoles">{{ row.assignableToRoles }}</td>
                    <td data-col-label="updateTimestamp">{{ row.updateTimestamp | date:'dd/MM/yyyy' }}</td>
                  </tr>
                </ng-template>
                <ng-template let-row euiTemplate="noData">
                  <tr>
                    <td class="eui-u-text-center" colspan="5">
                      {{ t('empty') }}
                    </td>
                  </tr>
                </ng-template>
                <ng-template euiTemplate="footer">
                  <tr>
                    <td class="eui-u-text-center" colspan="5">
                      <eui-paginator #identityAttributesPaginator hasPageNumberNavigation [length]="totalElements"
                        [pageSizeOptions]="[5, 10, 25, 100]" [page]="pagination.page" [pageSize]="pagination.pageSize"
                        (pageChange)="onPageChange($event)" [hasPageNumberNavigation]="true">
                      </eui-paginator>
                    </td>
                  </tr>
                </ng-template>
              </table>
            </div>
          </eui-page-column-body>
        </eui-page-column>
      </eui-page-columns>
    </eui-page-content>
  </eui-page>
</ng-container>
